# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXFreeArrayDataLocal

Function

Frees space previously allocated by `DXGetArrayDataLocal`.

Syntax
`
#include <dx/dx.h>
`

Array DXFreeArrayDataLocal(Array a, Pointer data)

Functional Details

This routine must be called from the same task that called `DXGetArrayDataLocal` if the program is running in parallel. If called on a machine without processor local memory, it simply returns without setting an error code.

Return Value Returns `a` or returns `NULL` and sets an error code.

See Also

`DXGetArrayData, DXGetArrayDataLocal`

12.3 , "Array Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]